| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::GpuLogicalIndexUse Struct Reference
Core » Materials

Structure recording the use of a physical buffer by a logical parameter index. More...

`#include <OgreGpuProgramParams.h>`

## Public Member Functions
| GpuLogicalIndexUse ()
| GpuLogicalIndexUse (size_t bufIdx, size_t curSz, uint16 v)

## Public Attributes
size_t | currentSize
| Current physical size allocation. More...
size_t | physicalIndex
| Physical buffer index. More...
uint16 | variability
| How the contents of this slot vary. More...

## Detailed Description

Structure recording the use of a physical buffer by a logical parameter index.

Only used for low-level programs.

## Constructor & Destructor Documentation

## ◆ GpuLogicalIndexUse() [1/2]

Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse | ( |  | ) |
| inline

## ◆ GpuLogicalIndexUse() [2/2]

Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse | ( | size_t | bufIdx,
|  | size_t | curSz,
|  | uint16 | v
| ) |  |
| inline

## Member Data Documentation

## ◆ physicalIndex

size_t Ogre::GpuLogicalIndexUse::physicalIndex

Physical buffer index.

## ◆ currentSize

size_t Ogre::GpuLogicalIndexUse::currentSize

Current physical size allocation.

## ◆ variability

uint16 Ogre::GpuLogicalIndexUse::variability
| mutable

How the contents of this slot vary.

The documentation for this struct was generated from the following file:

- OgreGpuProgramParams.h